*,*::after,*::before {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}

@font-face {
  font-family: nokia; /* set name */
  src: url('fonts/nokia.ttf'); /* url of the font */
}

@font-face {
  font-family: pixel;
  src: url('fonts/pixel.ttf');
}

body {
  background: url('img/4.jpg');
  background-position: center;
  background-size: cover;
  height: 100vh;
  padding-top: 2em;
  /*background-color: grey; */
}

main {
  margin: 0 auto;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-template-rows: repeat(12, 1fr);
  grid-column-gap: 5px;
  grid-row-gap: 5px;
  width: 1350px;
  height: 900px;
  background-color: #171717;
  border: solid 1px #323232;
  padding: 5px;
}

#hero-image {
  grid-column: 1 / 5;
  grid-row: 1 / 4;
  background: url('img/tokyo3.png');
  background-position: center;
  background-size: cover;
  border: solid 1px #323232;
}

#fishtank {
  grid-column: 5 / 13;
  grid-row: 1 / 4;
  position: relative;
  height: 218.25px;
  border: solid 1px #323232;
}

#main-content {
  grid-column: 3 / 11;
  grid-row: 4 / 12;
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  font-family: pixel;
  color: white;
  border: solid 1px #323232;
  background-color: #101010;
}

nav {
  grid-column: 1 / 3;
  grid-row: 4 / 8;
  display: flex;
  flex-direction: column;
  border: solid 1px #323232;
  background-color: #101010;
}

.container {
  grid-column: 1 / 3;
  grid-row: 8 / 10;
  display: flex;
  flex-direction: column;
  border: solid 1px #323232;
  background-color: #101010;
}

#icon88x31 {
  grid-column: 1 / 3;
  grid-row: 10 / 12;
  display: flex;
  align-items: center;
  flex-direction: column;
  border: solid 1px #323232;
  background-color: #101010;
}

#icon88x31 img {
  width: 88px;
  height: 31px;
  margin: auto 0;
}

.sub-links {
  flex: 1;
  display: flex;
  flex-direction: column;
  align-items: start;
  justify-content: space-evenly;
  padding: 0em 1em;
}

.sub-links a,
.sub-links p {
  display: flex;
  align-items: center;
  gap: 0.75em;
  font-family: pixel;
  text-align: center;
  font-size: 0.85em;
  color: #ffffff;
}

.sub-links a:hover {
  color: #0096FF;
}

.sub-links a img {
  width: 32px;
  height: 32px;
}

.header {
  font-family: nokia;
  font-size: 0.75em;
  background-color: #202020;
  border-bottom: solid 1px #323232;
  padding-block: 0.5em;
  padding-bottom: 0.3em;
  display: flex;
  align-items: center;
  justify-content: center;
  width: 100%;

}

.header h2 {
  text-align: center;
  padding: 0 3px 0 7px;
  color: #ffffff;
  display: flex;
  gap: 1em;
  align-items: center;
}

.header img { 
  height: 26px;
}

#kaiying-art {
  grid-column: 11 / 13;
  grid-row: 9 / 12;
  background-color: #101010;
  border: solid 1px #323232;
}

#footer {
  grid-column: 1 / 13;
  grid-row: 12 / 13;
  background-color: #101010;
  display: grid;
  grid-template-columns: repeat(12, 1fr);
  grid-column-gap: 5px;
  border: solid 1px #323232;
}

#footer-left {
  grid-column: 1 / 4;
  display: flex;
  justify-content: center;
  align-items: center;
}


#footer-middle {
  grid-column: 4 / 10;
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 0.75em;
}

#footer-right {
  grid-column: 10 / 13;
  display: flex;
  justify-content: center;
  align-items: center;
}

#footer-middle p {
  font-family: pixel;
  font-size: 1em;
  color: #505050;
}
